%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}typelib\\((Gd|GdPrivate)\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}typelib\\((Gd|GdPrivate)\\)

%global gtk4_version 4.5.0

Name:		gnome-music
Version:	47.1
Release:	%mkrel 1
Summary:	Music player and management application
License:       (GPLv2+ with exceptions) and CC-BY-SA
Group:		Sound/Players
URL:		https://wiki.gnome.org/Design/Apps/Music
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(goa-1.0) >= 3.35.90
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.35.9
BuildRequires:	pkgconfig(grilo-0.3) >= 0.2.6
BuildRequires:	pkgconfig(grilo-plugins-0.3)
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libmediaart-2.0)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(tracker-sparql-3.0)
BuildRequires:	pkgconfig(pygobject-3.0) >= 3.29.1
BuildRequires:	pkgconfig(py3cairo)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	itstool
BuildRequires:	libxml2-utils

Requires:	gnome-settings-daemon
Requires:	grilo
Requires:	python3-dbus
Requires:	python3-gobject3
Requires:	tracker
Requires:	task-codec-audio
Recommends:	grilo-plugins

%description
Music is the new GNOME music playing application.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%license LICENSE
%doc NEWS README.md
%{_bindir}/%{name}
%{python3_sitelib}/gnomemusic
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/org.gnome.Music/
%{_iconsdir}/*/*/*/*
%{_metainfodir}/org.gnome.Music.appdata.xml


%changelog
* Sat Nov 30 2024 daviddavid <daviddavid> 47.1-1.mga10
+ Revision: 2120137
- new version 47.1

* Wed Sep 18 2024 daviddavid <daviddavid> 47.0-1.mga10
+ Revision: 2097980
- new version 47.0

* Thu Aug 08 2024 daviddavid <daviddavid> 46.1-1.mga10
+ Revision: 2084127
- new version 46.1

* Mon Mar 18 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050359
- new version 46.0

* Thu Dec 28 2023 tv <tv> 45.0-2.mga10
+ Revision: 2023004
- Rebuild for python-3.12

* Sat Sep 30 2023 tv <tv> 45.0-1.mga10
+ Revision: 1992570
- Update to 45.0

* Sat Apr 22 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1954223
- fix rc build
- update to 44.rc
- update to 44.rc
+ daviddavid <daviddavid>
- update to 44.0

* Sat Feb 25 2023 daviddavid <daviddavid> 42.1-2.mga9
+ Revision: 1945288
- add missing build dependency on pkgconfig(libsoup-2.4)

* Mon Apr 25 2022 ovitters <ovitters> 42.1-1.mga9
+ Revision: 1853274
- new version 42.1

* Mon Mar 21 2022 tv <tv> 42.0-2.mga9
+ Revision: 1814153
- Update to 42.0
- Make it noarch

* Sun Feb 13 2022 tmb <tmb> 41.0-2.mga9
+ Revision: 1773922
- rebuild for python 3.10

* Mon Jan 10 2022 tv <tv> 41.0-1.mga9
+ Revision: 1767669
- 41.0

* Wed Jun 09 2021 ovitters <ovitters> 40.1.1-1.mga9
+ Revision: 1730202
- new version 40.1.1
- new version 40.1

* Wed Mar 24 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709182
- new version 40.0

* Tue Mar 16 2021 tmb <tmb> 3.38.2-2.mga9
+ Revision: 1703809
- rebuild for python 3.9

* Sat Nov 21 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1648353
- new version 3.38.2

* Mon Oct 05 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1632265
- new version 3.38.1

* Mon Sep 14 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1626558
- new version 3.38.0

* Mon Sep 07 2020 tv <tv> 3.37.92-1.mga8
+ Revision: 1623083
- BR tracker-sparql-3.0 instead of tracker-sparql-2.0
+ ovitters <ovitters>
- new version 3.37.92

* Sun Jul 05 2020 ovitters <ovitters> 3.37.3-1.mga8
+ Revision: 1602057
- new version 3.37.3

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591694
- new version 3.37.2

* Sun May 31 2020 ovitters <ovitters> 3.36.3-1.mga8
+ Revision: 1589126
- new version 3.36.3

* Sat Apr 25 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1572138
- new version 3.36.2

* Sat Mar 28 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1562003
- new version 3.36.1

* Sat Mar 07 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554661
- new version 3.36.0

* Tue Mar 03 2020 ovitters <ovitters> 3.35.92-1.mga8
+ Revision: 1553255
- new version 3.35.92

* Wed Feb 19 2020 umeabot <umeabot> 3.35.91.1-2.mga8
+ Revision: 1542547
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 tv <tv> 3.35.91.1-1.mga8
+ Revision: 1537526
- versionate BR
+ ovitters <ovitters>
- new version 3.35.91.1

* Sat Feb 15 2020 ovitters <ovitters> 3.34.4-1.mga8
+ Revision: 1526652
- new version 3.34.4

* Sun Jan 05 2020 ovitters <ovitters> 3.34.3-1.mga8
+ Revision: 1476607
- new version 3.34.3

* Sun Nov 24 2019 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1462677
- new version 3.34.2

* Fri Oct 25 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1455800
- new version 3.34.1

* Sat Sep 14 2019 tv <tv> 3.34.0-2.mga8
+ Revision: 1440588
- rebuild for python-3.8

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439163
- new version 3.34.0

* Wed Sep 04 2019 tv <tv> 3.33.92-2.mga8
+ Revision: 1437096
- rebuild for python 3.8

* Wed Sep 04 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1437076
- new version 3.33.92

* Wed Aug 07 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1428081
- new release

* Mon May 06 2019 daviddavid <daviddavid> 3.32.2-1.mga7
+ Revision: 1396593
- new version 3.32.2

* Wed Apr 17 2019 umeabot <umeabot> 3.32.1-2.mga7
+ Revision: 1392435
- Rebuild with meson 0.50.1

* Tue Apr 09 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1387442
- new version 3.32.1

* Thu Mar 28 2019 wally <wally> 3.32.0-2.mga7
+ Revision: 1380785
- filter out private typelib requires and provides

* Tue Mar 12 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374625
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372283
- new version 3.31.92

* Mon Jan 07 2019 tmb <tmb> 3.30.2-2.mga7
+ Revision: 1351172
- rebuild for python 3.7

* Tue Oct 23 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1324567
- new version 3.30.2

* Mon Sep 24 2018 tv <tv> 3.30.1-1.mga7
+ Revision: 1303618
- BR pkgconfig(grilo-plugins-0.3)
+ ovitters <ovitters>
- new version 3.30.1

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256728
- new version 3.30.0

* Mon Aug 27 2018 ovitters <ovitters> 3.29.92-1.mga7
+ Revision: 1255103
- new version 3.29.92

* Tue Aug 14 2018 tv <tv> 3.29.91-1.mga7
+ Revision: 1251454
- BR newer pygobject
- BR pkgconfig(goa-1.0)
+ ovitters <ovitters>
- new version 3.29.91
- new version 3.29.90

* Tue May 08 2018 ovitters <ovitters> 3.28.2.1-1.mga7
+ Revision: 1227625
- new version 3.28.2.1

* Mon May 07 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1227500
- new version 3.28.2

* Mon Apr 09 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216821
- new version 3.28.1

* Sat Mar 17 2018 ovitters <ovitters> 3.28.0.1-1.mga7
+ Revision: 1210137
- new version 3.28.0.1

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208493
- new version 3.28.0

* Mon Mar 12 2018 tv <tv> 3.27.92.1-1.mga7
+ Revision: 1208475
- switch to meson
- BR pkgconfig(py3cairo)
- fix filelist
+ ovitters <ovitters>
- new version 3.27.92.1
- new version 3.27.92

* Tue Feb 06 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1199339
- new version 3.27.90

* Wed Jan 17 2018 ovitters <ovitters> 3.27.4-1.mga7
+ Revision: 1194203
- new version 3.27.4

* Tue Oct 03 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1165031
- new version 3.26.1

* Thu Sep 21 2017 tv <tv> 3.26.0-1.mga7
+ Revision: 1156871
- adjust BR + filelist
+ ovitters <ovitters>
- new version 3.26.0
- new version 3.25.92
- new version 3.25.91

* Sat Aug 05 2017 pterjan <pterjan> 3.24.2-2.mga7
+ Revision: 1136202
- Fix for new find_lang
- Rebuild for python 3.6

* Tue May 09 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1099794
- new version 3.24.2

* Tue Apr 11 2017 ovitters <ovitters> 3.24.1.1-1.mga6
+ Revision: 1096389
- new version 3.24.1.1

* Tue Apr 11 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096351
- new version 3.24.1

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094068
- new version 3.24.0

* Tue Nov 08 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065826
- new version 3.22.2

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1059921
- new version 3.22.1

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055716
- new version 3.22.0

* Tue May 10 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011969
- new version 3.20.2

* Wed Apr 27 2016 daviddavid <daviddavid> 3.20.0-2.mga6
+ Revision: 1006936
- use new python macros

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993971
- new version 3.20.0

* Wed Mar 16 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 992196
- new version 3.19.92

* Thu Mar 03 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 984932
- new version 3.19.91

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961466
- new version 3.19.90

* Mon Feb 15 2016 daviddavid <daviddavid> 3.19.4-1.mga6
+ Revision: 961316
- new version: 3.19.4
- remove merged upstream patch
- add BuildRequires pkgconfig(tracker-sparql-1.0)

* Mon Jan 04 2016 tv <tv> 3.18.2-2.mga6
+ Revision: 919330
- patch for grilo-0.3

* Mon Nov 16 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 903522
- new version 3.18.2

* Wed Oct 07 2015 ovitters <ovitters> 3.18.0-2.mga6
+ Revision: 887024
- rebuild for new python3

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882786
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879418
- new version 3.17.92

* Tue Sep 01 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871942
- new version 3.17.91

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865558
- new version 3.17.90
- new version 3.17.4

* Tue Jun 23 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 841058
- new version 3.17.3

* Mon Jun 22 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 838549
- new version 3.16.1

* Mon Jan 26 2015 ovitters <ovitters> 3.14.3.1-1.mga5
+ Revision: 812286
- new version 3.14.3.1

* Mon Jan 19 2015 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 811470
- new version 3.14.3

* Sun Jan 04 2015 ovitters <ovitters> 3.14.2-2.mga5
+ Revision: 808385
- require task-codec-audio

* Thu Nov 13 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796739
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 745571
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738312
- new version 3.14.1

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719229
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679739
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676798
- new version 3.13.92
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Aug 19 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665639
- new version 3.13.90

* Tue Jul 22 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655496
- new version 3.13.4

* Mon Jun 23 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639076
- new version 3.13.3

* Sat May 31 2014 pterjan <pterjan> 3.13.2-3.mga5
+ Revision: 629674
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 3.13.2-2.mga5
+ Revision: 629532
- Rebuild for new Python

* Wed May 28 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 627162
- new version 3.13.2

* Mon May 12 2014 ovitters <ovitters> 3.12.2.1-1.mga5
+ Revision: 622236
- new version 3.12.2.1

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622227
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 613974
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607975
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604414
- new version 3.11.92

* Wed Mar 05 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 600234
- new version 3.11.91

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593854
- new version 3.11.90

* Wed Feb 05 2014 ovitters <ovitters> 3.11.2-1.mga5
+ Revision: 583245
- new version 3.11.2

* Tue Jan 07 2014 pterjan <pterjan> 3.10.1-4.mga4
+ Revision: 565456
- Add some missing dependencies (mga#11967)

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-3.mga4
+ Revision: 550163
- fix url
+ fwang <fwang>
- drop filter

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542162
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497032
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484031
- new version 3.10.0
+ pterjan <pterjan>
- Remove duplicate lines in %%files

* Mon Sep 16 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480354
- new version 3.9.92

* Mon Sep 02 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474484
- new version 3.9.91

* Tue Aug 20 2013 fwang <fwang> 3.9.90-2.mga4
+ Revision: 468055
- tweak requires so that it won't confllicts with gnome-documents

* Tue Aug 20 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468047
- update file list
- imported package gnome-music

